=== debian/changelog ===
ros-indigo-mrp2-hardware (0.2.5-0trusty) trusty; urgency=high

  * Removed redundant topics
  * Fixed bringup
  * Implemented motor controller
  * Minor fixes
  * Solved hw problems. Updated parameters.
  * Contributors: Akif

 -- Akif Hacinecipoglu <akifhno@gmail.com>  Mon, 15 Aug 2016 21:00:00 -0000

ros-indigo-mrp2-hardware (0.2.4-0trusty) trusty; urgency=high

  * Added udev for debian
  * Added seperate sonar package
  * Updated launch option for sonar
  * Added seperate sonar package
  * Updated package informations
  * Updated dependencies
  * Fixed display driver serial.
  * Fixed hardware comm
  * Fixed checksum bug.
  * Contributors: Akif, Akif Hacinecipoglu, Bolkar Altuntas, MRP2 Dev

 -- Akif Hacinecipoglu <akifhno@gmail.com>  Wed, 09 Mar 2016 22:00:00 -0000

ros-indigo-mrp2-hardware (0.2.1-0trusty) trusty; urgency=high

  * Organized code and structure
  * Package information update
  * Initial commit
  * Contributors: Akif, MRP2 Development

 -- Akif Hacinecipoglu <akifhno@gmail.com>  Sun, 10 Jan 2016 22:00:00 -0000
