=== debian/control ===
Source: ros-indigo-mrp2-hardware
Section: misc
Priority: extra
Maintainer: Akif Hacinecipoglu <akifhno@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libusb-1.0-0-dev, ros-indigo-catkin, ros-indigo-controller-interface, ros-indigo-controller-manager, ros-indigo-dynamic-reconfigure, ros-indigo-hardware-interface, ros-indigo-nav-msgs, ros-indigo-realtime-tools, ros-indigo-roscpp, ros-indigo-rospy, ros-indigo-sensor-msgs, ros-indigo-std-msgs, ros-indigo-std-srvs, ros-indigo-tf, ros-indigo-urdf
Homepage: http://wiki.ros.org/mrp2_hardware
Standards-Version: 3.9.2

Package: ros-indigo-mrp2-hardware
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libusb-1.0-0-dev, ros-indigo-controller-interface, ros-indigo-controller-manager, ros-indigo-dynamic-reconfigure, ros-indigo-hardware-interface, ros-indigo-nav-msgs, ros-indigo-realtime-tools, ros-indigo-roscpp, ros-indigo-rospy, ros-indigo-sensor-msgs, ros-indigo-std-msgs, ros-indigo-std-srvs, ros-indigo-tf, ros-indigo-urdf
Description: Hardware files to communicate with MRP2 base.
